<?
require("../clases/alumno.class.php");

/*require "PHPMailer.php";
require "SMTP.php";
require "Exception.php";
require "OAuth.php";*/

//define("DIR_UPLOAD","/home/cavunuco/public_html/cav/fotosa");
echo "<link href='../css/css.css' rel='stylesheet' type='text/css'>";
echo "<link href='../css/bootstrap.min.css' rel='stylesheet'>";
echo "<link rel='stylesheet' href='../css2/css.css'>";

$obj = new alumno();
$t = $_REQUEST["text"];

if($t=="R"){
		$e = $_REQUEST["email"];
		///////////////////////////////////////////////////	    		

	if($obj->BuscarPorNombre($e))
	{
	   $idalu = $obj->getIdalu();
	   $permitted_chars = '0123456789abcdefghijklmnopqrstuvwxyz';
	   $d= substr(str_shuffle($permitted_chars), 0, 6);
	   $clave = $d;
	   if($obj->ActualizarClave($idalu,md5($clave)))
	   { 
	   			/////////////////////////////////////////////////////////////
				
				$clave = $d;
				$destinatario = $e; 
				$asunto = "NUEVA CLAVE CAV:"; 
				$cuerpo = ' 
				<html> 
				<head> 
				   <title>Prueba de correo</title> 
				</head> 
				<body> 
				<h1>TU NUEVA CLAVE ES: '.$clave.' </h1> 
				<p> 
				<b>Saludos cordiales estimado estudiante</b>. Estamos encantados que utilices la plataforma para contribuir al desarrollo de tu aprendizaje. 
				</p> 
				</body> 
				</html> 
				'; 
				
				//para el envío en formato HTML 
				$headers = "MIME-Version: 1.0\r\n"; 
				$headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 
				
				//dirección del remitente 
				$headers .= "From: CAV-UNU <comunidad.academica.virtual@gmail.com>\r\n"; 
				
				//dirección de respuesta, si queremos que sea distinta que la del remitente 
				$headers .= "Reply-To: comunidad.academica.virtual@cavunu.com\r\n"; 
				
				//ruta del mensaje desde origen a destino 
				$headers .= "Return-path: manuelarturotrigosomedina@gmail.com\r\n"; 
				
				//direcciones que recibián copia 
				//$headers .= "Cc: comunidad.academica.virtual@gmail.com\r\n"; 
				
				//direcciones que recibirán copia oculta 
				//$headers .= "Bcc: arturo_matm@hotmail.com,manuelarturotrigosomedina@gmail.com\r\n"; 
				
				mail($destinatario,$asunto,$cuerpo,$headers); 
				
				///////////////////////////////////////////////////////////////////////////////////////////////////////////
	     		echo "<div class='container'>";
				echo "<br><br><br><br>";
				echo "<center>";
				echo "<font face=verdana size=2 color=#006699>LA CLAVE HA SIDO REINICIADA, VERIFIQUE SU CORREO PARA VER SU NUEVA CLAVE</font><br>";
				echo "<a href='../index.html' class='btn btn-success'>Registrar nuevo / Iniciar session</a><br>";
				echo "<code>TU CUENTA DE INICIO DE SESION ES:<br>";
				echo $e." ,SEGUIDO DE SU PASSWORD</code>";
				echo "</center>";
				echo "</div>";         
	   }
	}else{
				echo "<div class='container'>";
				echo "<br><br><br><br>";
				echo "<center>";
				echo "<font face=verdana size=2 color=#006699>NO SE PUDO COMPLETAR EL PROCESO, PUEDA QUE ESTE CORREO NO EXISTA O NO ESTE REGISTRADO</font><br>";
				echo "<a href='../index.html' class='btn btn-success'>Registrar nuevo / Iniciar session</a><br>";
				echo "</center>";
				echo "</div>";
			
	     }
}

?>
